> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rascustompermission.md).

# Set-RASCustomPermission

### NAME

Set-RASCustomPermission\ <br>

### SYNOPSIS

Modifies the permissions of a RAS custom admin account.\ <br>

### SYNTAX

Set-RASCustomPermission \[-[AdminId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#AdminId)] *\<uint>* -[ObjectType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#ObjectType) {SecureGateways | Gateways | RemotePCs | Brokers | PublishingAgents | RDSHostPools | RDSHGroups | HALB | WinDevices | Themes | Publishing | Certificate | CustomRoutes | Monitoring | Reporting | Connection | AVD | AppPackages} -[Permissions](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#Permissions) {None | View | Modify | ManageSessions | Add | Delete | Control} \[-[ObjId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#ObjId) *\<uint>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCustomPermission.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Modifies the permissions of a RAS custom admin account.\ <br>

### PARAMETERS

\
-**AdminId \<uint>**\
Admin ID to modify the specified RAS Custom Administrator Account.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjId \<uint>**\
ID of a particular RAS Farm object to assign permissions for.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjectType <**[**PermissionObjectType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PermissionObjectType.html)**>**\
Permission Type.\
\
Possible values: SecureGateways, Gateways, RemotePCs, Brokers, PublishingAgents, RDSHostPools, RDSHGroups, HALB, WinDevices, Themes, Publishing, Certificate, CustomRoutes, Monitoring, Reporting, Connection, AVD, AppPackages\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Permissions <**[**PermissionFlags**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PermissionFlags.html)**>**\
A set of permissions to assign. To form a set of permissions 'OR' individual permission enum IDs.\
\
Possible values: None, View, Modify, ManageSessions, Add, Delete, Control\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                None
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASCustomPermission -AdminId 100 -ObjectType RDSHosts -Permissions View,Modify -SiteId 1\
\
Modifies the permissions of the custom administrator with Id 100, to View and Modify all RDSHosts within the Site with Id 1.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Set-RASCustomPermission -AdminId 100 -ObjectType RDSHosts -Permissions View,Modify -SiteId 1 -ObjId 10\
\
Modifies the permissions of the custom administrator with Id 100, to View and Modify the RDSHost Object with Id 10, within the Site with Id 1.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rascustompermission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
